Option Explicit
Type apiPoint                               ' API Punkt
    X       As Integer                      ' x von apiPoint
    Y       As Integer                      ' y von apiPoint
End Type
Type apiRect                                ' API Rechteck
    Left    As Integer                      ' x von apiRect
    Top     As Integer                      ' y von apiRect
    Right   As Integer                      ' x + dx von apiRect
    Bottom  As Integer                      ' y + dy von api Rect
End Type
Declare Sub GetWindowRect Lib "User" (ByVal hWnd As Integer, lpRect As apiRect)
Declare Function GetKeyState Lib "User" (ByVal nVirtKey As Integer) As Integer
Declare Sub GetCursorPos Lib "User" (sPoint As apiPoint)
Declare Function BitBlt Lib "GDI" (ByVal hDestDC As Integer, ByVal X As Integer, ByVal Y As Integer, ByVal nWidth As Integer, ByVal nHeight As Integer, ByVal hSrcDC As Integer, ByVal XSrc As Integer, ByVal YSrc As Integer, ByVal dwRop As Long) As Integer

Const SrcCopy = &HCC0020

Function ButtonDown (MyButton As Control) As Integer
' Button Down used with PictureBox as Control in the MouseDown event
Dim rc As Integer, mWidth As Integer, mHeight As Integer, rp As Integer, rd As Integer
Dim ButtonState As Integer, ds As Integer, dm As Integer
Dim wPoint As apiPoint, wRect As apiRect
    On Error Resume Next
    MyButton.Cls            ' clear button
    GetWindowRect MyButton.hWnd, wRect  ' get rectangle of button
    rd = MyButton.ScaleMode     ' save old scale mode
    ds = MyButton.DrawStyle     ' save old draw style
    dm = MyButton.DrawMode      ' save old draw mode
    MyButton.ScaleMode = 3      ' set new scale mode
    MyButton.DrawStyle = 0      ' set new draw style
    MyButton.DrawMode = 13      ' set new draw mode
    MyButton.Parent.ScaleMode = 3
    mWidth = MyButton.Width
    mHeight = MyButton.Height
    Do
	rc = GetKeyState(1)     ' get mouse button
	DoEvents            ' yeld to other apps
	If rc = 0 Then Exit Do      ' if no mouse then exit
	If rc = 1 Then Exit Do      ' if no mouse then exit
	GetCursorPos wPoint     ' get mouse position
		    ' if the mouse is not on the PictureBox
	If wPoint.X < wRect.Left Or wPoint.X > wRect.Right Or wPoint.Y < wRect.Top Or wPoint.Y > wRect.Bottom Then
	    If ButtonState Then MyButton.Cls    ' clear copied picture
	    ButtonState = False
	Else                ' if the mouse is over the PictureBox
	    If ButtonState = False Then ' replace the picture
		rc = BitBlt(MyButton.hDC, 3, 3, mWidth - 4, mHeight - 4, MyButton.hDC, 2, 2, SrcCopy)
		MyButton.Line (2, 2)-(mWidth - 2, 2), RGB(192, 192, 192)        ' down type of button
		MyButton.Line (2, 3)-(2, mHeight - 2), RGB(192, 192, 192)
		MyButton.Line (1, 1)-(1, mHeight - 2), RGB(128, 128, 128)
		MyButton.Line (1, 1)-(mWidth - 2, 1), RGB(128, 128, 128)
		MyButton.Line (2, mHeight - 2)-(mWidth - 2, mHeight - 2), RGB(192, 192, 192)
		MyButton.Line (mWidth - 2, 2)-(mWidth - 2, mHeight - 1), RGB(192, 192, 192)
	    End If
	    ButtonState = True
	End If
    Loop
    ButtonDown = ButtonState        ' return wether the button was up or down
    MyButton.ScaleMode = rd     ' restore the PictureStyles
    MyButton.DrawStyle = ds
    MyButton.DrawMode = dm
    MyButton.Cls            ' clear button
    MyButton.Refresh            ' refresh button
End Function

Sub MakeLowerStatusBar (Bar As PictureBox)
Dim OldParentMode As Integer, MyOldMode As Integer, MDICorr As Integer
Dim OldRedraw As Integer, wRect As apiRect
    Bar.Align = 2
    OldRedraw = Bar.AutoRedraw
    Bar.AutoRedraw = True
    Bar.BackColor = RGB(192, 192, 192)
    Bar.BorderStyle = False
    GetWindowRect Bar.hWnd, wRect           '<<<!!!
    MyOldMode = Bar.ScaleMode
    Bar.ScaleMode = 3
    Bar.Line (1, wRect.Bottom - wRect.Top - 1)-(wRect.Right - wRect.Left, wRect.Bottom - wRect.Top - 1), RGB(128, 128, 128)
    Bar.Line (0, 1)-(wRect.Right - wRect.Left, 1), RGB(255, 255, 255)
    Bar.Line (0, 2)-(0, wRect.Bottom - wRect.Top), RGB(255, 255, 255)
    Bar.Line (0, 0)-(wRect.Right - wRect.Left, 0), RGB(0, 0, 0)
    If MDICorr = 1 Then
	Bar.Parent.ScaleMode = OldParentMode
    End If
    Bar.ScaleMode = MyOldMode
    Bar.AutoRedraw = OldRedraw
End Sub

Sub MakeUpperStatusBar (Bar As PictureBox)
Dim OldParentMode As Integer, MDICorr As Integer
Dim OldRedraw As Integer, wRect As apiRect
    Bar.Align = 1
    OldRedraw = Bar.AutoRedraw
    Bar.AutoRedraw = True
    Bar.BackColor = RGB(192, 192, 192)
    Bar.BorderStyle = False
    GetWindowRect Bar.hWnd, wRect           '<<<!!!
    Bar.ScaleMode = 3
    Bar.Line (1, wRect.Bottom - wRect.Top - 2)-(wRect.Right - wRect.Left, wRect.Bottom - wRect.Top - 2), RGB(128, 128, 128)
    Bar.Line (0, 0)-(wRect.Right - wRect.Left, 0), RGB(255, 255, 255)
    Bar.Line (0, 1)-(0, wRect.Bottom - wRect.Top), RGB(255, 255, 255)
    Bar.Line (0, wRect.Bottom - wRect.Top - 1)-(wRect.Right - wRect.Left, wRect.Bottom - wRect.Top - 1), RGB(0, 0, 0)
    If MDICorr = 1 Then
	Bar.Parent.ScaleMode = OldParentMode
    End If
    Bar.AutoRedraw = OldRedraw
End Sub

